/*
 * Copyright 2025 Squircle CE contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.blacksquircle.ui.feature.editor.data.model

internal object LanguageScope {
    const val C = "source.c"
    const val CPP = "source.cpp"
    const val CSHARP = "source.cs"
    const val CSS = "source.css"
    const val FORTRAN = "source.fortran"
    const val GO = "source.go"
    const val GROOVY = "source.groovy"
    const val HTML = "text.html.basic"
    const val INI = "source.ini"
    const val JAVA = "source.java"
    const val JAVASCRIPT = "source.js"
    const val JSON = "source.json"
    const val JULIA = "source.julia"
    const val KOTLIN = "source.kotlin"
    const val LATEX = "text.tex"
    const val LISP = "source.lisp"
    const val LUA = "source.lua"
    const val MARKDOWN = "text.html.markdown"
    const val PHP = "source.php"
    const val TEXT = "text.plain"
    const val PYTHON = "source.python"
    const val RUBY = "source.ruby"
    const val RUST = "source.rust"
    const val SHELL = "source.shell"
    const val SMALI = "source.smali"
    const val SQL = "source.sql"
    const val TOML = "source.toml"
    const val TYPESCRIPT = "source.ts"
    const val VISUALBASIC = "source.vb"
    const val XML = "text.xml"
    const val YAML = "source.yaml"
}