/*
 * Copyright 2025 Squircle CE contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.blacksquircle.ui.feature.settings.ui.editor

import androidx.compose.runtime.Immutable
import com.blacksquircle.ui.core.mvi.ViewState

@Immutable
internal data class EditorHeaderViewState(
    val fontSize: Int,
    val wordWrap: Boolean,
    val codeCompletion: Boolean,
    val pinchZoom: Boolean,
    val lineNumbers: Boolean,
    val highlightCurrentLine: Boolean,
    val highlightMatchingDelimiters: Boolean,
    val highlightCodeBlocks: Boolean,
    val showInvisibleChars: Boolean,
    val readOnly: Boolean,
    val autoSaveFiles: Boolean,
    val extendedKeyboard: Boolean,
    val keyboardPreset: String,
    val softKeyboard: Boolean,
) : ViewState