<div align="center">

![Banner](/images/editor_banner.jpg)
----
[![CI](https://github.com/Rosemoe/CodeEditor/actions/workflows/gradle.yml/badge.svg?event=push)](https://github.com/Rosemoe/CodeEditor/actions/workflows/gradle.yml)
[![GitHub license](https://img.shields.io/github/license/Rosemoe/CodeEditor)](https://github.com/Rosemoe/CodeEditor/blob/main/LICENSE)
[![Maven Central](https://img.shields.io/maven-central/v/io.github.Rosemoe.sora-editor/editor.svg?label=Maven%20Central)]((https://search.maven.org/search?q=io.github.Rosemoe.sora-editor%20editor))   
[![Telegram](https://img.shields.io/badge/Join-Telegram-blue)](https://t.me/rosemoe_code_editor)
[![QQ](https://img.shields.io/badge/Join-QQ_Group-ff69b4)](https://jq.qq.com/?_wv=1027&k=n68uxQws)

sora-editor是一款高效的安卓代码编辑器

</div>

阅读其他语言的文档: [English](README.md), [简体中文](README.zh-cn.md), [Español](README.es.md), [日本語](README.jp.md).

***这个项目仍在缓慢开发中，欢迎提交问题和合并请求***

## 特色

- [x] 增量语法高亮
- [x] 自动补全 (包含对[代码块（Code Snippets）](https://macromates.com/manual/en/snippets)的支持)
- [x] 自动缩进
- [x] 代码块辅助线
- [x] 手势缩放
- [x] 撤销/重做
- [x] 搜索和替换文本
- [x] 自动换行
- [x] 显示不可打印的字符
- [x] 诊断信息标记
- [x] 文本放大镜
- [x] 粘性滚动
- [x] 高亮显示括号对
- [x] 事件系统
- [x] TextMate 和 TreeSitter 支持

## 文档

请阅读 [快速开始](https://project-sora.github.io/sora-editor-docs/guide/getting-started)
来快速上手使用此编辑器。也可以在[项目文档站点](https://project-sora.github.io/sora-editor-docs/)
查看所有的使用文档。

* [编辑器概览](https://project-sora.github.io/sora-editor-docs/guide/editor-overview)
* [参考](https://project-sora.github.io/sora-editor-docs/reference/xml-attributes)
* [文档仓库](https://github.com/project-sora/sora-editor-docs)

## 编辑器预览图

<div style="overflow: hidden">
<img src="/images/general.jpg" alt="GeneralAppearance" width="40%" align="bottom" />
<img src="/images/problem_indicators.jpg" alt="ProblemIndicator" width="40%" align="bottom" />
</div>

## 讨论

* QQ群:[734652304](https://qm.qq.com/q/kKBqRsVrQ4)
* [Telegram 群组](https://t.me/rosemoe_code_editor)

## 贡献者

<a href="https://github.com/Rosemoe/sora-editor/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=Rosemoe/sora-editor" />
</a>

## 许可证

```
sora-editor - the awesome code editor for Android
https://github.com/Rosemoe/sora-editor
Copyright (C) 2020-2024  Rosemoe

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
USA

Please contact Rosemoe by email 2073412493@qq.com if you need
additional information or have any questions
```

## 鸣谢

感谢[JetBrains](https://www.jetbrains.com/?from=CodeEditor)为本项目
提供的[IntelliJ IDEA](https://www.jetbrains.com/idea/?from=CodeEditor)等IDE的免费许可证。

[<img src=".github/jetbrains-variant-3.png" width="200"/>](https://www.jetbrains.com/?from=CodeEditor)
